## subversion 1.13.0

=== debian/changelog ===
subversion (1.13.0-4) unstable; urgency=medium

  * Disable building python-subversion if SWIG 4.0 is installed
    (Closes: #954866)
  * Remove python-subversion from subversion-tool's Recommends

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2020 08:58:28 -0400

subversion (1.13.0-3) unstable; urgency=medium

  [ James McCoy ]
  * rules: Use "pyversions -s" instead of "pyversions -i"
  * Build with swig3.0 to fix FTBFS with swig4.0 (Closes: #951893)
  * Declare compliance with Policy 4.5.0, no changes needed
  * Build-Depend on debhelper-compat (= 12)

  [ Dimitri John Ledkov ]
  * swig.m4: Do not include ruby include subdir

 -- James McCoy <jamessan@debian.org>  Tue, 24 Mar 2020 08:33:36 -0400

subversion (1.13.0-2) unstable; urgency=medium

  [ James McCoy ]
  * gbp.conf: Do not number patches

  [ Steve Langasek ]
  * use python2 as the interpreter now for tests, not python (Closes: #948770)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jan 2020 08:59:14 -0500

subversion (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch:
    + Monitor 1.13.x versions
  * Update upstream signing keys
  * debian/control:
    + Bump minimum jdk version to 1.8
    + Switch to junit4 for Java tests
    + Bump libsvn-dev Build-Conflicts to << 1.13~
    + Remove obsolete Build-Depends on apache2-dev
    + Fix a typos in the pkg.subversion.nokde profile name
  * Declare compliance with Policy 4.4.1, no changes needed
  * Fix FTBFS on certain archs due to PIC/PIE interaction.
    Thanks to Thorsten Glaser for the patch (Closes: #942798)
  * libsvn1.symbols:
    + Mark private/experimental symbols as optional
    + Update symbols for 1.11, 1.12, and 1.13
  * debian/tests:
    + Replace $ADTTMP with $AUTOPKGTEST_TMP
  * Add fetch-keys script to update/minimize signing-key.asc
  * Add a pkg.subversion.nojava build profile

 -- James McCoy <jamessan@debian.org>  Thu, 28 Nov 2019 22:11:05 -0500
