## subversion 1.14.0

=== debian/changelog ===
subversion (1.14.0-3build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:44:19 +0100

subversion (1.14.0-3build1) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:47:06 +0100

subversion (1.14.0-3) unstable; urgency=medium

  * Rename python suffixes to the versioned python suffix.
    Thanks to Matthias Klose for the patch (Closes: #972197)
  * Rename python-script-but-no-python-dep override to python3 version

 -- James McCoy <jamessan@debian.org>  Sat, 31 Oct 2020 20:44:20 -0400

subversion (1.14.0-2) unstable; urgency=medium

  * Backport patch from upstream to fix FTBFS (Closes: #966989)
    - Fix crash in JavaHL JNI wrapper caused by object lifetimes
  * svn_load_dirs.1: Use correct groff macro for single-quote
  * Update lintian overrides to account for renamed tags

 -- James McCoy <jamessan@debian.org>  Mon, 17 Aug 2020 13:01:19 -0400

subversion (1.14.0-1) unstable; urgency=medium

  * Update to new upstream version 1.14.0.
  * Install NOTICE as required by Apache license
  * rules: Disable dh_auto_test for Arch: all builds

 -- James McCoy <jamessan@debian.org>  Wed, 03 Jun 2020 22:21:57 -0400

subversion (1.14.0~rc2-3) experimental; urgency=medium

  * copyright: Add details for build/ac-macros/ax_boost_*
  * Stop installing NOTICE, since debian/copyright has all the information

 -- James McCoy <jamessan@debian.org>  Wed, 22 Apr 2020 07:57:45 -0400

subversion (1.14.0~rc2-2) experimental; urgency=medium

  * Ship svnshell as an example, not under /usr/bin/
  * Switch to using dh instead of plain debhelper
  * Fix an error leak in debian/patches/last-changed-date-charset.  Thanks to
    Daniel Shahaf for the patch.  (Closes: #956921)

 -- James McCoy <jamessan@debian.org>  Tue, 21 Apr 2020 23:05:17 -0400

subversion (1.14.0~rc2-1) experimental; urgency=medium

  * Update to new upstream version 1.14.0~rc2.
    + Fix crash when using git-svn with kwallet.  (Closes: #945443)
    + Escape filenames when invoking $SVN_EDITOR.  (Closes: #577118)
    + Transition Python bindings from python 2 to python 3.  (Closes: #739790, #938578)
  * Remove python-subversion from subversion-tool's Recommends, since nothing
    uses the Python bindings.
  * Replace python-subversion with python3-subversion
    + Build-Depend on swig (>= 3.0.10), instead of swig3.0 (Closes: #954866)
    + Add new Build-Depends on py3c
    + Build-Depend on python3-all-dev instead of python-all-dev
  * rules: Run tests in parallel according to DEB_BUILD_OPTIONS setting
  * libsvn1.symbols: Update for 1.14 API changes
  * Add support for pkg.subversion.noruby Build-Profile
  * Build-Conflict against incompatible libsvn1/libsvn-dev
  * lintian: Override concatenated-upstream-signatures
  * Update release notes for 1.9 - 1.13 and add 1.14

 -- James McCoy <jamessan@debian.org>  Sun, 12 Apr 2020 15:37:14 -0400
