=== debian/control ===
--- 
+++ 
@@ -27,14 +27,18 @@
                libtool,
                libutf8proc-dev,
                perl,
-# Minimum version required to run tests
-               python-all-dev (>= 2.7),
+               py3c-dev,
+               python3-all-dev,
                rename,
-               ruby,
-               ruby-dev,
-               swig,
+               ruby <!pkg.subversion.noruby>,
+               ruby-dev <!pkg.subversion.noruby>,
+               swig (>= 3.0.10),
                zlib1g-dev
-Build-Conflicts: libsvn-dev (<< 1.13~)
+Build-Conflicts:
+ libsvn-dev (<< 1.14~),
+ libsvn-dev (>= 1.15~),
+ libsvn1 (<< 1.14~),
+ libsvn1 (>= 1.15~),
 Rules-Requires-Root: no
 Homepage: http://subversion.apache.org/
 Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
@@ -106,15 +110,15 @@
  server backend, to serve repositories over the http and https
  protocols.  See the 'subversion' package for more information.
 
-Package: python-subversion
+Package: python3-subversion
 Section: python
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Provides: ${python:Provides}
-Description: Python bindings for Apache Subversion
- This is a set of Python interfaces to libsvn, the Apache Subversion
- libraries.  It is useful if you want to, for example, write a Python
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Provides: ${python3:Provides}
+Description: Python3 bindings for Apache Subversion
+ This is a set of Python3 interfaces to libsvn, the Apache Subversion
+ libraries.  It is useful if you want to, for example, write a Python3
  script that manipulates a Subversion repository or working copy.  See
  the 'subversion' package for more information.
 
@@ -173,6 +177,7 @@
 Package: ruby-svn
 Section: ruby
 Architecture: any
+Build-Profiles: <!pkg.subversion.noruby>
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ruby, ${misc:Depends}, ${shlibs:Depends}
