## subversion 1.14.1

=== debian/changelog ===
subversion (1.14.1-3ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: CVE-2021-28544, CVE-2022-24070 (LP: #1970228)
    - debian/patches/CVE-2021-28544.patch, debian/patches/CVE-2022-24070.patch:
      New patches from upstream security advisories.

 -- Luís Infante da Câmara <luis.infante.da.camara@tecnico.ulisboa.pt>  Sat, 21 May 2022 11:52:35 +0100

subversion (1.14.1-3build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:14:01 +0000

subversion (1.14.1-3build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:48:40 +0100

subversion (1.14.1-3build2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 17:03:34 -0300

subversion (1.14.1-3build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:52 +0000

subversion (1.14.1-3) unstable; urgency=medium

  * Correctly disable testCrash_RequestChannel_nativeRead_AfterException
    (Closes: #982684)

 -- James McCoy <jamessan@debian.org>  Wed, 17 Feb 2021 21:52:03 -0500

subversion (1.14.1-2) unstable; urgency=medium

  * Temporarily disable testCrash_RequestChannel_nativeRead_AfterException
    (Closes: #982684)
  * rules: Remove clean from .PHONY

 -- James McCoy <jamessan@debian.org>  Wed, 17 Feb 2021 07:46:16 -0500

subversion (1.14.1-1) unstable; urgency=high

  * Update to new upstream version 1.14.1.
    + Fix FTBFS with OpenJDK 17 (Closes: #982084)
    + Security fix:
      - CVE-2020-17525: Remote unauthenticated denial-of-service in Subversion
        mod_authz_svn  (Closes: #982464)

 -- James McCoy <jamessan@debian.org>  Wed, 10 Feb 2021 21:17:14 -0500
