=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: subversion
 Section: vcs
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: autoconf,
                bash-completion,
                chrpath,
