=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.apache.org/dist/subversion/subversion-(1.1[348].\d+).tar.gz
