## subversion 1.14.2

=== debian/changelog ===
subversion (1.14.2-2) unstable; urgency=medium

  * Skip building java bindings on kfreebsd-*. Thanks to Laurent Bigonville
    for the suggestion (Closes: #1012379)
  * Skip building ruby bindings on ia64 and kfreebsd-*
  * Disable kwallet support on kfreebsd-*
  * Use autogen-swig-{pl,py,rb} targets instead of autogen-swig
    (Closes: #986174)
  * Declare compliance with Policy 4.6.1, no changes needed
  * Fix handling of verbose/terse build logs

 -- James McCoy <jamessan@debian.org>  Mon, 06 Jun 2022 20:42:25 -0400

subversion (1.14.2-1) unstable; urgency=high

  * Update to new upstream version 1.14.2.
    + Security Fixes:
      - CVE-2021-28544: Don't show unreadable copyfrom paths in 'svn log -v'
      - CVE-2022-24070: Fix issue #4880 "Use-after-free of object-pools when
        used as httpd module"
  * libsvn1: Add wildcard to symbols-declares-dependency-on-other-package override
  * subversion-tools: Adjust wildcards for ruby-script-but-no-ruby-dep
  * Declare compliance with Policy 4.6.0, no changes needed
  * Update upstream signing keys
  * Re-enable testCrash_RequestChannel_nativeRead_AfterException, fixed
    upstream

 -- James McCoy <jamessan@debian.org>  Tue, 12 Apr 2022 08:38:19 -0400
