=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: subversion
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: autoconf,
                bash-completion,
                chrpath,
                debhelper-compat (= 12),
-               default-jdk-headless (>= 2:1.8) [!hurd-i386 !hppa !sparc] <!pkg.subversion.nojava>,
+               default-jdk-headless (>= 2:1.8) [!hurd-i386 !hppa !sparc !kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nojava>,
                dh-apache2,
                dh-python,
                doxygen,
-               junit4 [!hurd-i386 !hppa !sparc] <!pkg.subversion.nojava>,
+               junit4 [!hurd-i386 !hppa !sparc !kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nojava>,
                libapr1-dev,
                libaprutil1-dev,
                libdb5.3-dev,
                libdbus-1-dev,
                liblz4-dev (>= 0.0~r129),
-               libkf5coreaddons-dev <!pkg.subversion.nokde>,
-               libkf5i18n-dev <!pkg.subversion.nokde>,
-               libkf5wallet-dev <!pkg.subversion.nokde>,
+               libkf5coreaddons-dev [!kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nokde>,
+               libkf5i18n-dev [!kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nokde>,
+               libkf5wallet-dev [!kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nokde>,
                libperl-dev,
                libsasl2-dev,
                libsecret-1-dev,
@@ -31,8 +30,8 @@
                py3c-dev,
                python3-all-dev,
                rename,
-               ruby <!pkg.subversion.noruby>,
-               ruby-dev <!pkg.subversion.noruby>,
+               ruby [!ia64 !kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.noruby>,
+               ruby-dev [!ia64 !kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.noruby>,
                swig (>= 3.0.10),
                zlib1g-dev
 Build-Conflicts:
@@ -44,7 +43,7 @@
 Homepage: http://subversion.apache.org/
 Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
 Vcs-Browser: https://salsa.debian.org/jamessan/subversion
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 
 Package: subversion
 Architecture: any
