## subversion 1.14.3

=== debian/changelog ===
subversion (1.14.3-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:58:11 +0200

subversion (1.14.3-1) unstable; urgency=medium

  * Update to new upstream version 1.14.3.

 -- James McCoy <jamessan@debian.org>  Mon, 01 Jan 2024 12:21:16 -0500

subversion (1.14.2-5) unstable; urgency=medium

  * Add future=+lfs build options to ensure use of 64-bit filesystem APIs
  * Add commented example for SVNListParentPath in dav_svn.conf
    (Closes: #1031229)
  * Remove BUILD directory and other detritus during clean (Closes: #1046849)
  * Backport upstream patch to fix missing version in pkg-config files
    (Closes: #1055242)
    + autogen.sh: export environment variable "PYTHON", for autoheader and autoconf
  * Skip dh_autoreconf, since we already call autogen.sh

 -- James McCoy <jamessan@debian.org>  Fri, 03 Nov 2023 19:34:37 -0400

subversion (1.14.2-4) unstable; urgency=medium

  * Backport patch to fix building with swig 4.1 (Closes: #1023529)

 -- James McCoy <jamessan@debian.org>  Sat, 12 Nov 2022 15:30:30 -0500

subversion (1.14.2-3) unstable; urgency=medium

  * Re-enable the ability to store plaintext passwords (Closes: #995692)
  * Bump debhelper-compat to 13
  * Adjust lacks-unversioned-link-to-shared-library overrides
  * Adjust package-contains-upstream-installation-documentation override
  * Document uninstalled files in debian/not-installed

 -- James McCoy <jamessan@debian.org>  Tue, 12 Jul 2022 10:03:54 -0400
