=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: autoconf,
                bash-completion,
                chrpath,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                default-jdk-headless (>= 2:1.8) [!hurd-i386 !hppa !sparc !kfreebsd-i386 !kfreebsd-amd64] <!pkg.subversion.nojava>,
                dh-apache2,
                dh-python,
