=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
+DEB_BUILD_MAINT_OPTIONS=future=+lfs
+
 # Workaround an issue with PIC/PIE on certain architectures (c.f., #942798)
 ifneq (,$(filter x32,$(DEB_HOST_ARCH)))
-  DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-else
-  DEB_BUILD_MAINT_OPTIONS=hardening=+all
+  DEB_BUILD_MAINT_OPTIONS+=hardening=+all,-pie
+else
+  DEB_BUILD_MAINT_OPTIONS+=hardening=+all
 endif
 
 include /usr/share/dpkg/default.mk
@@ -121,6 +123,7 @@
 		--with-swig=/usr/bin/swig \
 		--with-lz4 \
 		--with-utf8proc \
+		--enable-plaintext-password-storage \
 		--with-gnome-keyring
 
 ifdef DEB_OPT_DEBUG
@@ -195,10 +198,10 @@
 %:
 	dh $@ --with python3 --with apache2 --builddirectory=BUILD
 
-override_dh_update_autotools_config:
-	$(DONT_BE_ROOT)
-	dh_update_autotools_config
+execute_after_dh_update_autotools_config:
 	./autogen.sh
+
+override_dh_autoreconf:
 
 override_dh_auto_configure:
 	mkdir -p $(HOME)
@@ -251,5 +254,3 @@
 	$(call allpy, \
 	  $(MAKE_B) $@ PYTHON=python$$v PYVER=$$v $(check_defs))
 
-override_dh_auto_build-arch:
-	$(DONT_BE_ROOT)
