## subversion 1.14.4

=== debian/changelog ===
subversion (1.14.4-2) unstable; urgency=medium

  * Set SWIG_PY_PYTHON to the versioned python binary name so the correct
    Python version is used when multiple Python versions are supported at
    once. (Closes: #1085100)

 -- James McCoy <jamessan@debian.org>  Wed, 23 Oct 2024 23:16:59 -0400

subversion (1.14.4-1) unstable; urgency=medium

  * Update to new upstream version 1.14.4.
  * Drop backported swig-rb patches
  * Fix typo in svn-clean documentation

 -- James McCoy <jamessan@debian.org>  Sat, 12 Oct 2024 10:24:07 -0400

subversion (1.14.3-3) unstable; urgency=medium

  * Disable java on hurd-amd64.
    Thanks to Samuel Thibault for the patch (Closes: #1076288)
  * Use kfreebsd-any wildcard for existing kfreebsd architecture exclusions
  * Disable kwallet support on alpha, m68k, and sparc64
  * Declare compliance with Policy 4.7.0, no changes needed
  * Use sysconfig directly instead of distutils' version of it
    (Closes: #1080807)

 -- James McCoy <jamessan@debian.org>  Mon, 09 Sep 2024 13:27:25 -0400

subversion (1.14.3-2) unstable; urgency=medium

  * Backport patches to fix building with gcc-14 (Closes: #1075543)
    + swig-rb: Fix condition to check that apr_hash_t * type value
    + swig-rb: Add type casting for some generic function pointers

 -- James McCoy <jamessan@debian.org>  Sat, 06 Jul 2024 11:09:12 -0400
